SPIP-Contrib

SPIP-Contrib

عربي | Deutsch | English | Español | français | italiano | Nederlands

290 Plugins, 198 contribs sur SPIP-Zone, 111 visiteurs en ce moment

Accueil > Contribs à ranger > SPIP loader en chmod 755

SPIP loader en chmod 755

mercredi 7 janvier 2004

Plusieurs serveurs ont un petit problème avec le chmod 777 (jexiste, OHV, apinc ...)

C’est pourquoi j’ai réécrit le spip_loader.php3 compatible avec la restriction de ces hébergeurs.

Le fichier se trouve sur mon serveur...


Et Noplay ajoute :

Il s’agit peut-être d’une histoire de droit. En effet OVH n’accepte pas les fichiers en 777 sous peine d’afficher une erreur 500. Vos fichiers doivent être au pire en chmod 755.

Extrait de la FAQ de OVH :

Q : j’ai une erreur 500. de quoi il s’agit ?R : L’erreur 500 dit que le script cgi ou php ne s’est pas executé correctement. Ceci peut être provoqué par :
-  .htaccess avec des erreurs.
-  des permissions 777 sur le répertoire ou/et sur les fichiers cgi ou php. Il faut mettre au plus 755. Vous n’avez pas besoins de mettre 777.
-  si l’erreur intervient au bout d’un certain temps ceci peut être dû à un timeout d’une connexion que vous effectuez dans votre script.

Mais le spip_loader par defaut met tous les fichiers en 777.

Il y a deux solutions :
-  ne pas utiliser le spip_loader et faire l’installation manuellement
-  editer le spip_loader et remplacer tous les 777 par 755


SPIP_loader 755

Voir en ligne : SPIP loader 755

Vos commentaires

  • Le 4 mars 2004 à 14:03, par alloelo En réponse à : > SPIP loader en chmod 755

    Bonjour

    je mets en place un site sur jexiste avec spip.
    Impossible de le mettre en place, j’ai essayé tous les chmods, j’ai changé l’extention en php au cas ou.
    rien n’a faire il ne veut pas lire mes fichiers. J’ia une erreur 500, que dois je faire ?

    j’ai un forum phpbb et forum IPB qui fontionne sans problème alors je ne comprends pas .

  • Le 16 mars 2004 à 23:20, par André Vincent En réponse à : > SPIP loader en chmod 755

    Ce spip_loader_755.php3 fonctionne à merveille chez apinc.org en lieu et place du spip_loader.php3 qui lui n’y fonctionne pas.

Répondre à cette brève

Ça discute par ici

  • Flux RSS configurable

    8 avril 2011 – 68 commentaires

    Ce plugin vous permet de personnaliser le fonctionnement de votre flux RSS à l’aide d’un formulaire dans l’espace privé. Instalation Pour fonctionner, ce plugin nécessite que le plugin Itérateurs soit installé et activé sur votre site. Par (...)

  • Réservation d’événements

    16 mars 2015 – 421 commentaires

    Ce plugin permet d’offrir aux visiteurs de s’inscrire pour un évènement du plugin Agenda et de gérer les réservations enregistrées. Installation Le plugin s’installe comme n’importe quel plugin. il nécessite : Agenda API de vérification Facteur (...)

  • PHANTOM (HTML5UP)

    18 juillet – 27 commentaires

    Squelette SPIP pour intégrer le modèle Phantom de HTML5UP. https://html5up.net/phantom Installation A l’activation, le plugin installe aussi les plugins suivants : crayons, favicon, metasplus+, Couleur d’objet, champs extras, SPIP reset centre (...)

  • Site multilingue facile

    3 mai 2012 – 104 commentaires

    Site multilingue facile permet de mettre en place facilement un site multilingue avec une langue par secteur. Introduction Même si le multilinguisme est nativement intégré dans spip, réaliser un site multilingue n’est pas toujours évident. Ce (...)

  • CKeditor 3.0

    4 octobre 2009 – 1233 commentaires

    CKeditor est l’évolution de l’éditeur WYSIWYG : FCKeditor, avec ce plugin vous pourrez utiliser cet éditeur à la place de l’éditeur de spip tout en laissant le choix à vos auteurs de l’éditeur qu’ils préfèrent utiliser. Attention : cet éditeur WYSIWYG (...)